Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1146934 - Review Request: nodejs-errs - Simple error creation and passing utilities
Summary: Review Request: nodejs-errs - Simple error creation and passing utilities
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2014-09-26 11:30 UTC by Parag Nemade
Modified: 2014-10-19 04:01 UTC (History)
2 users (show)

Fixed In Version: nodejs-errs-0.3.0-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-08 18:58:55 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-09-26 11:30:03 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/nodejs-errs.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/nodejs-errs-0.3.0-1.fc21.src.rpm
Description: Simple error creation and passing utilities

Fedora Account System Username: pnemade

Comment 1 Tom Hughes 2014-10-01 20:33:33 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-errs-0.3.0-1.fc22.noarch.rpm
          nodejs-errs-0.3.0-1.fc22.src.rpm
nodejs-errs.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-errs
nodejs-errs.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-errs (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-errs:
    nodejs-errs
    npm(errs)



Source checksums
----------------
http://registry.npmjs.org/errs/-/errs-0.3.0.tgz :
  CHECKSUM(SHA256) this package     : 654545666dd5216b315f4fd47bebdf0fbb3e7482307fa01c5fc8b97239298953
  CHECKSUM(SHA256) upstream package : 654545666dd5216b315f4fd47bebdf0fbb3e7482307fa01c5fc8b97239298953


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1146934
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Tom Hughes 2014-10-01 20:34:29 UTC
Looks fine, except that the final package has errs.js in the wrong place so it won't actually work - it should be in the lib directory not at the top level.

Basically just change "lib/*js" to "lib" in the cp statement and that should fix it.

Comment 4 Tom Hughes 2014-10-02 15:58:23 UTC
Looks good. Package approved.

Comment 5 Parag Nemade 2014-10-02 16:32:41 UTC
New Package SCM Request
=======================
Package Name: nodejs-errs
Short Description: Simple error creation and passing utilities
Upstream URL: https://github.com/flatiron/errs
Owners: pnemade
Branches: f20 f21 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-10-02 16:40:33 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-10-02 17:04:01 UTC
nodejs-errs-0.3.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-errs-0.3.0-2.fc21

Comment 8 Fedora Update System 2014-10-02 17:12:54 UTC
nodejs-errs-0.3.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-errs-0.3.0-2.fc20

Comment 9 Fedora Update System 2014-10-02 17:25:10 UTC
nodejs-errs-0.3.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-errs-0.3.0-2.el7

Comment 10 Fedora Update System 2014-10-03 18:33:44 UTC
nodejs-errs-0.3.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 11 Fedora Update System 2014-10-08 18:58:55 UTC
nodejs-errs-0.3.0-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2014-10-12 05:02:02 UTC
nodejs-errs-0.3.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-10-19 04:01:51 UTC
nodejs-errs-0.3.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.